# Tutorials

Tutorials are a great way to learn about use cases and integrations. We highly encourage community members to share their Trivy use cases with us in the documentation.

There are two ways to contributor to the tutorials section

1. If you are creating any external content on Trivy, we would love to have it as part of our list of [external community resources][community-resources]
2. If you are creating an end-to-end tutorial on a specific Trivy use-case, we would love to feature it in our tutorial section. Read below how you can contribute tutorials to the docs.

## Process for adding new tutorials

Requirements
- The tutorial has to provide an end-to-end set of instructions
- Ideally, tutorials should focus on a specific use case
- If the tutorial is featuring other tools, those should be open source, too
- Make sure to describe the expected outcome after each instruction

**Tip:** Make sure that your tutorial is concise about a specific use case or integration. 

How to add a tutorial

1. Simply create a new `.md` file in the tutorials folder of the docs
2. Add your content 
3. Create a new index in the mkdocs.yaml file which is in the [root directory](https://github.com/aquasecurity/trivy) of the repository
4. Create a PR

[community-resources]: additional-resources/community.md